import babel from 'rollup-plugin-babel'
import vue from 'rollup-plugin-vue'
import resolve from 'rollup-plugin-node-resolve'
import commonjs from 'rollup-plugin-commonjs'
import { uglify } from 'rollup-plugin-uglify'

export default {
  input: 'src/index.js',
  output: {
    file: 'dist/vue-form-factory.min.js',
    format: 'umd',
    name: 'VueFormFactory',
    sourcemap: true,
  },
  plugins: [vue(), resolve(), commonjs(), babel(), uglify()],
}
