import FormFactory from './form-factory.vue'
import inputMixin from './input-mixin'
import { validate, createValidator } from './validators'

const VueFormFactory = {
  install(Vue) {
    Vue.component(FormFactory.name, FormFactory)
  },
}

export default VueFormFactory
export { inputMixin as input, validate as validators, createValidator }
