export default (valueType = String) => ({
  props: {
    value: {
      type: valueType,
      default: '',
    },
    errors: {
      type: Array,
      default: () => [],
    },
  },
  computed: {
    error() {
      return this.errors[0]
    },
  },
  methods: {
    input(val = {}) {
      // If value has a `target` property treat it as an event object otherwise
      // use it as a value
      this.$emit('input', val.target ? val.target.value : val)
    },
  },
})
